Soviet Military Maps Pro v4.5.1
Requirements: 2.3.3 and up

WHAT'S NEW

Fix for layers not working

Spoiler: Link
[Only registered and activated users can see links. ]